Yandex Cloud
Поиск
Связаться с намиПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера под заказ
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
          • Overview
            • Overview
            • Get
            • List
            • Create
            • BatchCreate
            • Update
            • PowerOff
            • PowerOn
            • Reboot
            • Reinstall
            • ListOperations
            • StartProlongation
            • StopProlongation
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • NetworkInterfaceSpec
  • PrivateSubnetNetworkInterface
  • PublicSubnetNetworkInterface
  • PrivateNetworkInterface
  • VLANSubinterface
  • PublicNetworkInterface
  • NativeSubnet
  • NewNativeSubnet
  • Response
  • Status
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. REST (англ.)
  5. Server
  6. Update

BareMetal API, REST: Server.Update

Статья создана
Yandex Cloud
Обновлена 21 апреля 2026 г.
  • HTTP request
  • Path parameters
  • Body parameters
  • NetworkInterfaceSpec
  • PrivateSubnetNetworkInterface
  • PublicSubnetNetworkInterface
  • PrivateNetworkInterface
  • VLANSubinterface
  • PublicNetworkInterface
  • NativeSubnet
  • NewNativeSubnet
  • Response
  • Status

Updates the specified server.

HTTP requestHTTP request

PATCH https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/servers/{serverId}

Path parametersPath parameters

Field

Description

serverId

string

Required field. ID of the server to update.
To get the server ID, use a ServerService.List request.

Value must match the regular expression [a-z][a-z0-9]*.

Body parametersBody parameters

{
  "updateMask": "string",
  "name": "string",
  "description": "string",
  "networkInterfaces": [
    {
      // Includes only one of the fields `privateSubnet`, `publicSubnet`
      "privateSubnet": {
        "privateSubnetId": "string"
      },
      "publicSubnet": {
        "publicSubnetId": "string"
      },
      // end of the list of possible fields
      // Includes only one of the fields `privateInterface`, `publicInterface`
      "privateInterface": {
        "nativeSubnetId": "string",
        "ipAddress": "string",
        "macLimit": "string",
        "vlanSubinterfaces": [
          {
            "taggedSubnetId": "string",
            "ipAddress": "string",
            "macLimit": "string"
          }
        ]
      },
      "publicInterface": {
        // Includes only one of the fields `nativeSubnet`, `newNativeSubnet`
        "nativeSubnet": {
          "subnetId": "string"
        },
        "newNativeSubnet": {
          "addressingType": "string"
        },
        // end of the list of possible fields
        "ipAddress": "string",
        "nativeSubnetId": "string",
        "macLimit": "string"
      },
      // end of the list of possible fields
      "id": "string"
    }
  ],
  "labels": "object"
}

Field

Description

updateMask

string (field-mask)

A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

name

string

Name of the server.
The name must be unique within the folder.

The string length in characters must be 2-63. Value must match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?.

description

string

Description of the server.

The maximum string length in characters is 1024.

networkInterfaces[]

NetworkInterfaceSpec

Network configuration for the server. Specifies how the network interface is configured
to interact with other servers on the internal network and on the internet.
Currently up to 2 network interfaces are supported: required private network interface and
optional public network interface.

The number of elements must be in the range 1-2.

labels

object (map<string, string>)

Resource labels as key:value pairs.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

NetworkInterfaceSpecNetworkInterfaceSpec

(-- api-linter: yc::1704::file-separation=disabled
Required for backward compatibility with old clients. --)

Field

Description

privateSubnet

PrivateSubnetNetworkInterface

@deprecated Private subnet.

Includes only one of the fields privateSubnet, publicSubnet.

@deprecated. Use interface instead.
Subnet specific interface params.

publicSubnet

PublicSubnetNetworkInterface

@deprecated Public subnet.

Includes only one of the fields privateSubnet, publicSubnet.

@deprecated. Use interface instead.
Subnet specific interface params.

privateInterface

PrivateNetworkInterface

Private interface.

Includes only one of the fields privateInterface, publicInterface.

publicInterface

PublicNetworkInterface

Public interface.

Includes only one of the fields privateInterface, publicInterface.

id

string

ID of the network interface. Should not be specified when creating a server.

The maximum string length in characters is 20. Value must match the regular expression ([a-z][a-z0-9]*)?.

PrivateSubnetNetworkInterfacePrivateSubnetNetworkInterface

Field

Description

privateSubnetId

string

ID of the private subnet.

PublicSubnetNetworkInterfacePublicSubnetNetworkInterface

Field

Description

publicSubnetId

string

ID of the public subnet.
A new ephemeral public subnet will be created if not specified.

PrivateNetworkInterfacePrivateNetworkInterface

Field

Description

nativeSubnetId

string

ID of the private subnet which is used as native subnet for interface.

ipAddress

string

IPv4 address that is assigned to the server for this network interface.
Read only field.

macLimit

string (int64)

Limit of MAC addresses in the native subnet.
Read only field.

vlanSubinterfaces[]

VLANSubinterface

Array of VLAN subinterfaces. Additional tagged subnets for the interface.

VLANSubinterfaceVLANSubinterface

Field

Description

taggedSubnetId

string

ID of the private subnet which is used as tagged subnet for interface.

ipAddress

string

IPv4 address that is assigned to the VLAN subinterface.
Read only field.

macLimit

string (int64)

Limit of MAC addresses in the tagged subnet.
Read only field.

PublicNetworkInterfacePublicNetworkInterface

Field

Description

nativeSubnet

NativeSubnet

Use existing native subnet.
Input only field.

Includes only one of the fields nativeSubnet, newNativeSubnet.

Native subnet configuration.
Input only field.

newNativeSubnet

NewNativeSubnet

Create new native subnet.
Input only field.

Includes only one of the fields nativeSubnet, newNativeSubnet.

Native subnet configuration.
Input only field.

ipAddress

string

IPv4 address that is assigned to the server for this network interface.
Read only field.

nativeSubnetId

string

ID of the public subnet which is used as native subnet for interface.
Read only field.

macLimit

string (int64)

Limit of MAC addresses in the native subnet.
Read only field.

NativeSubnetNativeSubnet

Configuration for using existing native subnet.

Field

Description

subnetId

string

ID of the existing public subnet.

NewNativeSubnetNewNativeSubnet

Configuration for creating new native subnet.

Field

Description

addressingType

enum (AddressingType)

Addressing type (DHCP | Static).

  • DHCP: DHCP addressing.
  • STATIC: Static addressing.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
BatchCreate
Следующая
PowerOff
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»